## xscreensaver 5.04

=== OSX/Makefile ===
# XScreenSaver for MacOS X, Copyright (c) 2006 by Jamie Zawinski.

XCODE_TARGET = "All Savers"

default: release
all: debug release

clean:
	-rm -rf build
#	cd ..; xcodebuild -target $(XCODE_TARGET) clean

distclean:
	-rm -f config.status config.cache config.log \
	  *.bak *.rej TAGS *~ "#"*
	-rm -rf autom4te*.cache
	-rm -rf build

distdepend:: update_plist_version

debug:
	cd ..; xcodebuild -target $(XCODE_TARGET) -configuration Debug   build

release::
	cd ..; xcodebuild -target $(XCODE_TARGET) -configuration Release build

release:: sign

sign:
	codesign -vfs 'Jamie Zawinski' build/Release/*.saver

echo_tarfiles:
	@echo `find . \
	  \( \( -name '.??*' -o -name build -o -name CVS -o -name '*~*' \
	     -o -name 'jwz.*' \) \
	     -prune \) \
	  -o -type f -print \
	| sed 's@^\./@@' \
	| sort`

update_plist_version:
	@								      \
  SRC=../utils/version.h ;						      \
  V=`sed -n 's/[^0-9]*\([0-9]\.[0-9][^. ]*\).*/\1/p' $$SRC` ;		      \
  T=/tmp/xs.$$$$ ;							      \
  for S in XScreenSaver.plist SaverTester.plist ; do			      \
    /bin/echo -n "Updating version number in $$S to \"$$V\"... " ;	      \
    KEYS="CFBundleVersion|CFBundleShortVersionString" ;			      \
    perl -0777 -pne							      \
      "s@(<key>($$KEYS)</key>\s*<string>)[^<>]+(</string>)@\$${1}$$V\$${3}@g" \
      < $$S > $$T ;							      \
    if cmp -s $$S $$T ; then						      \
      echo "unchanged." ;						      \
    else								      \
      cat $$T > $$S ;							      \
      echo "done." ;							      \
    fi ;								      \
  done ;								      \
  rm $$T

# -format UDBZ saves 4% (~1.2 MB) over UDZO.
dmg::
	@								      \
  set -e ;								      \
  SRC=../utils/version.h ;						      \
  V=`sed -n 's/[^0-9]*\([0-9]\.[0-9][^. ]*\).*/\1/p' $$SRC` ;		      \
  TMPDIR="build" ;							      \
  SRC="build/Release" ;							      \
  BASE="xscreensaver-$$V" ;						      \
  OUTDIR="../archive" ;							      \
  DMG="$$OUTDIR/$$BASE.dmg" ;						      \
  TMPDMG="$$TMPDIR/tmp.dmg" ;						      \
  VOLNAME="XScreenSaver $$V" ;						      \
  STAGE="$$TMPDIR/dmg_stage" ;						      \
  rm -f "$$DMG" ;							      \
  rm -rf "$$STAGE" ;							      \
  echo + mkdir "$$STAGE" ;						      \
         mkdir "$$STAGE" ;						      \
  echo + cp -pr "$$SRC/"\*.saver "$$STAGE" ;				      \
         cp -pr "$$SRC/"*.saver  "$$STAGE" ;				      \
  set -x ;								      \
  cp -p bindist.rtf "$$STAGE/ READ ME.rtf" ;				      \
  cp -p bindist-DS_Store "$$STAGE/.DS_Store" ;				      \
  cp -p XScreenSaverDMG.icns "$$STAGE/.VolumeIcon.icns" ;		      \
  /Developer/Tools/SetFile -a C "$$STAGE" ;				      \
  /Developer/Tools/SetFile -a E "$$STAGE/ READ ME.rtf" ;		      \
  hdiutil makehybrid -quiet -ov -hfs -hfs-volume-name "$$VOLNAME"	      \
    -hfs-openfolder "$$STAGE" "$$STAGE" -o "$$TMPDMG" ;			      \
  rm -rf "$$STAGE" ;							      \
  hdiutil convert -quiet -ov -format UDBZ -imagekey zlib-level=9	      \
    "$$TMPDMG" -o "$$DMG" ;						      \
  rm -f "$$TMPDMG" ;							      \
  ls -ldhgF "$$DMG"

# Adding this is cute:
#    hdiutil internet-enable -yes -quiet "$$DMG"
# but means that nobody will ever see the display settings I used!
# When finder copies the .dmg to a folder, it doesn't preserve them.

## xscreensaver 5.07

=== OSX/Makefile ===
--- 
+++ 
@@ -17,16 +17,41 @@
 
 distdepend:: update_plist_version
 
-debug:
+debug: distdepend
 	cd ..; xcodebuild -target $(XCODE_TARGET) -configuration Debug   build
 
-release::
+release:: distdepend
 	cd ..; xcodebuild -target $(XCODE_TARGET) -configuration Release build
+
+release:: check_versions
 
 release:: sign
 
 sign:
-	codesign -vfs 'Jamie Zawinski' build/Release/*.saver
+	@for f in build/Release/*.saver ; do \
+	  codesign -vfs 'Jamie Zawinski' $$f ; \
+	 done
+
+check_versions:
+	@\
+  SRC=../utils/version.h ;						\
+  V=`sed -n 's/[^0-9]*\([0-9]\.[0-9][^. ]*\).*/\1/p' $$SRC` ;		\
+  DIR=build/Release ;							\
+  RESULT=0 ;								\
+  for S in $$DIR/*.saver ; do						\
+   for P in $$S/Contents/Info.plist ; do				\
+     V2=`perl -0000 -n -e						\
+	'm@<key>CFBundleVersion</key>\s*<string>(.*?)</string>@si 	\
+	 && print $$1' < $$P` ;						\
+     if [ "$$V2" != "$$V" ] ; then					\
+       echo "Wrong version: $$S ($$V2)" ;				\
+       RESULT=1 ;							\
+     fi ;								\
+   done ;								\
+  done ;								\
+  if [ "$$RESULT" = 0 ]; then echo "Versions match ($$V2)" ; fi ;	\
+  exit $$RESULT
+
 
 echo_tarfiles:
 	@echo `find . \
@@ -58,7 +83,7 @@
   rm $$T
 
 # -format UDBZ saves 4% (~1.2 MB) over UDZO.
-dmg::
+dmg:: distdepend check_versions
 	@								      \
   set -e ;								      \
   SRC=../utils/version.h ;						      \

## xscreensaver 5.10-3ubuntu4common0hedley3

=== debian/changelog ===
xscreensaver (5.10-3ubuntu4common0hedley3) lucid; urgency=low

  * 92_hedley_add_mit_screensaver_to_build.patch: Compile xscreensaver with MIT-SCREEN-SAVER extensions.
  * 93_hedley_make_blank_default_screensaver_mode.patch: Default screensaver to blank mode, not random. A separate patch to unroll it out if needed.


 -- Michael Carifio <michael.carifio@canonical.com>  Tue, 15 Feb 2011 10:22:08 -0500

xscreensaver (5.10-3ubuntu4common0hedley2) lucid; urgency=low

  * 90_hedley_hide_ui.patch: Hide the Documentation button in Settings dialog
    (LP: #690396)

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 15 Dec 2010 12:17:32 -0500

xscreensaver (5.10-3ubuntu4common0hedley1) lucid; urgency=low

  * 90_hedley_hide_ui.patch: Hide the Image Manipulation, Text Manipulation,
    and Fading and colormaps section of xscreensaver settings (LP: #687629)
  * debian/control: Set Vcs-Bzr to lp:~hedley-team/hedley/xscreensaver

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 14 Dec 2010 21:32:42 -0500

xscreensaver (5.10-3ubuntu4) lucid; urgency=low

  * Import parts of debian's current .preinst file to get rid of the
    previously removed autostart desktop file.

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 15 Apr 2010 00:46:29 +0200

xscreensaver (5.10-3ubuntu3) lucid; urgency=low

  * Removing autostart from xdg, is now on /usr/share so user can copy it if
    wants autostart (LP: #554069)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 10 Apr 2010 22:28:57 +0200

xscreensaver (5.10-3ubuntu2) lucid; urgency=low

  * Reintroduce changes lost from version 5.08-0ubuntu5:

  [ Julien Lavergne ]
  * Add debian/xscreensaver.dirs with /usr/share/backgrounds. By default,
    settings search in /usr/share/backgrounds and without it, it displays an
    error (LP: #129769)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 06 Apr 2010 08:10:22 +0000

xscreensaver (5.10-3ubuntu1) lucid; urgency=low

  * Merge with Debian unstable, remaining changes: (LP: #489062)
    - debian/control: add Build-Depends on ubuntu-artwork
    - debian/rules: use /usr/share/backgrounds
    - debian/control: Move xli | xloadimage recommends to suggests
    - debian/split-hacks.config: Use different set of default hacks to Debian
    - debian/source_xscreensaver.py: Add apport hook
    - debian/patches/53_XScreenSaver.ad.in.patch: Use Ubuntu branding

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 30 Nov 2009 13:33:13 +1100

xscreensaver (5.10-3) unstable; urgency=low

  * Move sonar to xscreensaver-gl, it got GL-ified (Closes: #550002)
  * Remove Xsession hook, could not be disabled (Closes: #550042)
  * Add desktop file to /etc/xdg/autostart, to disable it see
    http://standards.freedesktop.org/autostart-spec/ (Closes: #357297)
  * Move 20_hack_flurry_man_name to 11_upstream_flurry_man_name
  * debian/split-config.sh, debian/rules, etc: Auto-generate the
    package.install files to make one single dh_install{,man} call
    since this is so much more efficent.

 -- Tormod Volden <debian.tormod@gmail.com>  Mon, 12 Oct 2009 18:50:17 +0200

xscreensaver (5.10-2) unstable; urgency=low

  * Updated my email address in debian/copyright.
  * Added README.hacking to debian/xscreensaver.docs (Closes: #544352).
  * Included a hook for Xsession thanks to Y Giridhar Appaji Nag 
    <debian@appaji.net> (Closes: #357297).
  * Fixed the changelog.

 -- Jose Luis Rivas <ghostbar@debian.org>  Fri, 25 Sep 2009 16:52:44 -0430

xscreensaver (5.10-1) unstable; urgency=low

  [ Tormod Volden ]
  * Drop patch applied upstream:
    - 12_upstream_fix_typo_in_de.po.patch
  * Removed hyperball and hypercube hacks, retired upstream

  [ Jose Luis Rivas ]
  * Updated Standards-Version to 3.8.3 w/o any changes needed.
  * Created debian/README.source.
  * Added patch 20_hack_flurry_man_name for NAME section of
    manpage for flurry hack.
  * Changed my email address from ghostbar38@gmail.com to
    ghostbar@debian.org in Maintainer field.
  * Acknowledging NMU for 5.05.

  [ Tormod Volden ]
  * New Upstream Version
    - Fixed intermittent failure in xscreensaver-command
      Thanks to contribution by James Vega (Closes: 486603)
    - Fixed another potential RANDR crash
  * Drop patches applied upstream:
    - 11_upstream_phosphor_segfault_win_size.patch
    - 63_upstream_blinkbox-man.patch
    - 64_upstream_topblock-man.patch
    - 65_upstream_eruption-man.patch
    - 66_upstream_truchet-man.patch
    - 67_upstream_metaballs-man.patch
    - 70_upstream_fix_local_screenlock_bypass.patch  (Closes: #539699)
  * Do not ship juggle any longer (merged with juggler3d)
  * Ship new hacks: rubikblocks and surfaces
  * 80_Makefile_in-clean-fix.patch: Workaround for make distclean
    failure in some situations, probably autoconf 2.64 issue
  * Ship the new "photopile" hack
  * Delete two unused patches (52_ and 60_) from source
  * Fix location of Norwegian Bokmål locale (no -> nb)
  * Do not ship these hacks any longer (retired upstream):
      bubbles, critical, flag, forest, glforestfire, lmorph, laser,
      lightning, lisa, lissie, rotor, sphere, spiral, t3d, vines,
      whirlygig, worm, mismunch
  * 10_upstream_skip_retired_hacks.patch: Fix hacks/Makefile.in and
    hacks/glx/Makefile.in so that retired hacks are not built
  * debian/control: Update FSF address
  * Update to debhelper compat 7
  * Fix typo in package description (Closes: #504424)
  * Add missing hacks to package description (Closes: #481749)
  * debian/control: Breaks gnome-screensaver < 2.26 since we are
    using full paths in the desktop files
  * Split debian/patches/20_hacks_Makefile.patch into new
    20_hacks_man_section.patch and 20_hacks_maze_xpm_libs.patch
  * debian/patches/20_skip_install-pam.patch:
    Do not run install-pam since we use dh_installpam
  * 11_upstream_phosphor_segfault_win_size.patch:
    phospor hack segfaults on window resize (Closes: #505379)
  * debian/split-hacks.{sh,config}: Configure which hacks go


=== debian/control ===
Source: xscreensaver
Section: x11
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Luis Rivas <ghostbar@debian.org>
Uploaders: Tormod Volden <debian.tormod@gmail.com>
Build-Depends: bc, debhelper (>= 7.0), fortune-mod, libgtk2.0-dev, libpam0g-dev (>= 0.72), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | xlibmesa-glu-dev | libglu-dev, xutils-dev, libgnome2-dev, libxml2-dev, libglade2-dev, libjpeg62-dev, libgle-dev, intltool, autotools-dev, libx11-dev, libxext-dev, libxinerama-dev, libxmu-dev, libxpm-dev, libxrandr-dev, libxss-dev, libxt-dev, libxtst-dev, libxxf86misc-dev, libxxf86vm-dev, x11proto-core-dev, xbitmaps, quilt, gdm, libxss-dev, libxtst-dev, libxxf86misc-dev, ubuntu-artwork
Standards-Version: 3.8.3
Homepage: http://www.jwz.org/xscreensaver/
Vcs-Bzr: lp:~hedley-team/hedley/xscreensaver

Package: xscreensaver
Architecture: any
Depends: ${shlibs:Depends}, xscreensaver-data
Conflicts: funny-manpages (<< 1.3-1), suidmanager (<< 0.50), xscreensaver-gnome (<< 4.09-2), xscreensaver-nognome (<< 4.09-2), gnome-control-center (<< 1:2)
Recommends: libjpeg-progs, perl5, miscfiles | wordlist
Suggests: xli | xloadimage, xfishtank, xscreensaver-gl, fortune, www-browser, qcam | streamer
Description: Automatic screensaver for X
 XScreenSaver is a modular screen saver and locker for X11,
 containing more than 200 screen savers.
 .
 This package includes the bare minimum needed to blank and lock
 your screen. Install this package if you prefer xscreensaver to
 gnome-screensaver. If you prefer gnome-screensaver, you don't
 need to install this package.
 .
 The graphical display modes are in the xscreensaver-data, 
 xscreensaver-data-extra, xscreensaver-gl and xscreensaver-gl-extra 
 packages.

Package: xscreensaver-data
Architecture: any
Depends: ${shlibs:Depends}
Suggests: xscreensaver
Conflicts: xscreensaver (<< 5.04-3), kscreensaver-xsavers (<< 4:3.5.9-1)
Replaces: xscreensaver (<< 5.04-3), gnome-screensaver (<< 2.15.4-0ubuntu1),
          xscreensaver-data-extra (<< 5.08-0ubuntu4)
Breaks: gnome-screensaver (<< 2.26), kscreensaver-xsaver (<= 4:4.2.4-1)
Description: data files to be shared among screensaver frontends
 XScreenSaver is a modular screen saver and locker for X11,
 containing more than 200 screen savers.
 .
 This package contains a small selection of graphical screen saver
 modules (listed below) from the xscreensaver collection. This package
 is used by both xscreensaver and gnome-screensaver.
 .
 This is the selected set of non-GL screensavers shipped by default:
 fiberlamp and fuzzyflakes.
 .
 More display modes can be found in xscreensaver-data-extra, xscreensaver-gl
 and xscreensaver-gl-extra packages.

Package: xscreensaver-data-extra
Architecture: any
Depends: ${shlibs:Depends}, xscreensaver-data (>= 5.04-3), dictionaries-common, libjpeg-progs, netpbm
Enhances: xscreensaver, gnome-screensaver
Conflicts: xscreensaver (<< 5.04-3), kscreensaver-xsavers (<< 4:3.5.9-1)
Replaces: xscreensaver (<< 5.04-3),
          xscreensaver-data (<< 5.08-0ubuntu4)
Breaks: gnome-screensaver (<< 2.26), kscreensaver-xsaver (<= 4:4.2.4-1)
Description: data files to be shared among screensaver frontends
 XScreenSaver is a modular screen saver and locker for X11,
 containing more than 200 screen savers.
 .
 This package contains the rest of the 2D screen saver modules
 from the xscreensaver collection. This package is used by both
 xscreensaver and gnome-screensaver.
 .
 This is the set of non-GL screensavers not shipped by default:
 deco, distort, galaxy, metaballs, penrose, ripples, shadebobs, slidescreen, 
 sonar, swirl, ant, anemone, anemotaxis, apollonian, apple2, attraction, 
 barcode, blaster, blitspin, bouboule, boxfit, braid, bsod, bubbles, bumps, 
 ccurve, celtic, cloudlife, compass, coral, critical, crystal, cynosure, 
 decayscreen, deluxe, demon, discrete, drift, epicycle, eruption, euler2d, 
 fadeplot, fireworkx, flag, flame, flow, fluidballs, fontglide, forest, goop, 
 grav, greynetic, halftone, halo, helix, hopalong, hyperball,
 hypercube, ifs, imsmap, interaggregate, interference, intermomentary, jigsqw, 
 juggle, julia, memscroller, mismunch, moire, moire2, mountain, munch, 
 nerverot, noseguy, pacman, pedal, penetrate, petry, phosphor, piecewise, 
 polyominoes, pong, pyro, qiz, rd-bomb, rocks, rorschach, rotor, rotzoomer, 
 sierpinski, slip, speedmine, sphere, spiral, spotlight, squiral, starfish, 
 strange, substrate, t3d, thornbird, triangle, truchet, twang, vermiculate, 
 vidwhacker, vines, wander, webcollage, whirlwindwarp, whirlygig, worm, 
 wormhole, xanalogtv, xflame, xjack, xmatrix, xrayswarm, xspirograph, zoom.
 .
 WARNING: This package includes the 'webcollage' screen saver, which
 displays images that are the result of random web searches. The
 Internet being what it is, absolutely anything might show up in the
 collage of search results including -- quite possibly -- pornography, or
 even nudity. Please act accordingly.
 .
 More display modes can be found in the xscreensaver-data, xscreensaver-gl
 and xscreensaver-gl-extra packages.

Package: xscreensaver-gl
Architecture: any
Depends: ${shlibs:Depends}
Suggests: xscreensaver
Conflicts: xscreensaver (<< 5.04-3)
Replaces: xscreensaver-gl-extra (<< 5.08-0ubuntu4)
Description: GL(Mesa) screen hacks for xscreensaver
 XScreenSaver is a modular screen saver and locker for X11,
 containing more than 200 screen savers.
 .
 This package contains a small selection of 3D (OpenGL) screen
 saver modules from the xscreensaver collection. This package is
 used by both xscreensaver and gnome-screensaver.
 .
 This is the set of GL screensavers shipped by default:
 antspotlight,  glblur, glcells,  glmatrix, glschool,
 glslideshow, gltext, and hypertorus.
 More GL screensavers can be found in the xscreensaver-gl-extra package.
 .
 More display modes can be found in the xscreensaver-data,
 xscreensaver-data-extra and xscreensaver-gl-extra packages.

Package: xscreensaver-gl-extra
Architecture: any
Depends: ${shlibs:Depends}, xscreensaver-gl (>= 5.04-3)
Enhances: xscreensaver, gnome-screensaver
Conflicts: xscreensaver (<< 5.04-3)
Replaces: xscreensaver-gl (<< 5.08-0ubuntu4)
Breaks: gnome-screensaver (<< 2.26), kscreensaver-xsaver (<= 4:4.2.4-1)
Description: GL(Mesa) screen hacks for xscreensaver
 XScreenSaver is a modular screen saver and locker for X11,
 containing more than 200 screen savers.
 .
 This package contains the rest of the 3D (OpenGL) screen saver
 modules from the xscreensaver collection. This package is used
 by both xscreensaver and gnome-screensaver.
 .
 This is the set of GL screensavers not shipped by default with
 xscreensaver-gl: antinspect, gleidescope, glknots, atunnel, blinkbox,
 bubble3d, circuit, cubestorm, glsnake, jigglypuff, lavalite, lockward,
 mirrorblog, moebius, boebiusgears, molecule, morph3d, pipes, polyhedra,
 polytopes, pulsar, queens, sierpinski3d, spheremonics, stonerview, 
 superquadrics, topblock, voronoi endgame, engine, flipflop, flipscreen3d,
 flurry, flyingtoasters, gears, gflux, antmaze, atlantis, blocktube, boing,
 bouncingcow, boxed, cage, carousel, crackberg, cube21, cubenetic, dangerball,
 extrusion, fliptext, glforestfire, glhanoi, glplanet, juggler3d, klein, lament,
 menger, noof, pinion, providence, rubik, sballs, sproingies, staris, starwars,
 tangram, timetunnel.
 .
 More display modes can be found in the xscreensaver-data,
 xscreensaver-data-extra and xscreensaver-gl packages.

=== debian/rules ===
#!/usr/bin/make -f
# Debian rules file for xscreensaver, adapted by Larry Daffner from
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
# Modified by Jose Luis Rivas and Tormod Volden and others

# Including quilt.make
include /usr/share/quilt/quilt.make

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

build: patch build-stamp
build-stamp:
	dh_testdir

	# Generate POT file for translators
	cd po; intltool-update --verbose -p; cd ..

	# These are for some reason in the upstream tarball, preserve them
	[ -f driver/XScreenSaver_ad.h.upstream ] || \
	  [ ! -f driver/XScreenSaver_ad.h ] || \
	    mv driver/XScreenSaver_ad.h driver/XScreenSaver_ad.h.upstream
	[ -f driver/XScreenSaver_Xm_ad.h.upstream ] || \
	  [ ! -f driver/XScreenSaver_Xm_ad.h ] || \
	    mv driver/XScreenSaver_Xm_ad.h driver/XScreenSaver_Xm_ad.h.upstream

	# Configs files will be updated, so preserve originals
	[ -f config.sub.upstream ] || \
	  mv config.sub config.sub.upstream && \
	    cp /usr/share/misc/config.sub config.sub
	[ -f config.guess.upstream ] || \
	  mv config.guess config.guess.upstream && \
	    cp /usr/share/misc/config.guess config.guess

	# Configure for xscreensaver
	./configure --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
		--prefix=/usr \
		--with-image-directory=/usr/share/backgrounds \
		--without-gl --with-pam --with-gtk --without-kerberos \
		--with-gnome --with-hackdir=/usr/lib/xscreensaver \
		--with-configdir=/usr/share/xscreensaver/config \
		--mandir=/usr/share/man --with-login-manager \
		--with-proc-interrupts
	cp driver/XScreenSaver.ad driver/XScreenSaver.ad-nogl
	# Configure for xscreensaver-gl
	./configure --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
		--prefix=/usr \
		--with-image-directory=/usr/share/backgrounds \
		--with-gl --with-pam --with-gtk --without-kerberos \
		--with-gnome --with-hackdir=/usr/lib/xscreensaver \
		--with-configdir=/usr/share/xscreensaver/config \
		--mandir=/usr/share/man --with-login-manager \
		--with-proc-interrupts
	$(MAKE) 
	touch build-stamp

clean: 	clean-patched unpatch

clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.log config.h
	rm -rf driver/XScreenSaver.ad-nogl
	rm -rf *~ debian/tmp
	for p in xscreensaver xscreensaver-data xscreensaver-data-extra \
	         xscreensaver-gl xscreensaver-gl-extra ; do \
		rm -rf debian/$$p; \
		rm -f  debian/$$p.install; \
		rm -f  debian/$$p.manpages; \
	done
	rm -rf debian/*~ debian/files*
	rm -f po/.intltool-merge-cache
	[ ! -f config.sub.upstream ] || mv config.sub.upstream config.sub
	[ ! -f config.guess.upstream ] || mv config.guess.upstream config.guess
	[ ! -f driver/XScreenSaver_ad.h.upstream ] || \
	  mv driver/XScreenSaver_ad.h.upstream driver/XScreenSaver_ad.h
	[ ! -f driver/XScreenSaver_Xm_ad.h.upstream ] || \
	  mv driver/XScreenSaver_Xm_ad.h.upstream driver/XScreenSaver_Xm_ad.h
	dh_clean

binary-indep:	build
# Nothing to do here

binary-arch:	build
	dh_testdir
	dh_testroot
	dh_prep
	rm -rf debian/tmp debian/xscreensaver debian/xscreensaver-gl \
		debian/xscreensaver-gnome debian/xscreensaver-nognome \
		debian/xscreensaver-data debian/xscreensaver-data-extra \
		debian/xscreensaver-gl-extra
	$(MAKE) install_prefix=$(CURDIR)/debian/tmp \
		GTK_DATADIR=/usr/share KDEDIR=/usr install
	dh_installdirs -a
	dh_installdocs -a
	dh_installchangelogs -a

	# Add translation domain to .desktop files
	DOMAIN=$$(grep --max-count 1 '^GETTEXT_PACKAGE[[:space:]]*=' $(CURDIR)/po/Makefile | sed 's/^.*=[[:space:]]\([^[:space:]]\)/\1/'); \
	for d in $$(find debian/tmp -type f -name "*.desktop" ); do \
	    echo "Adding translation domain $$DOMAIN to $$d..."; \
	    echo "X-Ubuntu-Gettext-Domain=$$DOMAIN" >> $$d; \
	done

	# Install .desktop files used by gnome-screensaver etc
	mkdir -p debian/tmp/usr/share/applications/screensavers
	cp debian/screensavers-desktop-files/*.desktop \
		debian/tmp/usr/share/applications/screensavers/
	for i in debian/tmp/usr/share/applications/screensavers/*; do \
		cat debian/screensavers-desktop.stub >> $${i}; done
	mv debian/tmp/usr/share/man/man6/xscreensaver-gl-helper.6x \
	   debian/tmp/usr/share/man/man1/xscreensaver-gl-helper.1
	# Change man header section from 6 to 1
	sed -i '1s/6x/1/' debian/tmp/usr/share/man/man1/xscreensaver-gl-helper.1
	sh debian/split-hacks.sh
	dh_install -a
	dh_installman -a
	dh_installpam -a
	dh_installmenu -a
	# Install app-defaults to proper places
	mv debian/xscreensaver-data/etc/X11/app-defaults/XScreenSaver \
		debian/xscreensaver-gl/etc/X11/app-defaults/XScreenSaver-gl
	install -m 644 -o root -g root driver/XScreenSaver.ad-nogl \
		debian/xscreensaver-data/etc/X11/app-defaults/XScreenSaver-nogl
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

=== debian/watch ===
version=3
#http://www.jwz.org/xscreensaver/xscreensaver-(.*)\.tar\.gz
http://www.jwz.org/xscreensaver/download.html xscreensaver-(.*)\.tar\.gz

## xscreensaver 5.11-1%2bmaemo1

=== debian/changelog ===
xscreensaver (5.11-1+maemo1) stable-proposed-updates; urgency=high

  * Adapted for Maemo and LiveWallpaper

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 13 Aug 2010 14:13:57 -0400

xscreensaver (5.05-3+lenny1) stable-proposed-updates; urgency=high

  * Non-maintainer upload by the security team.
  * Fix local screen lock bypass vulnerability.
    (Closes: #539699)

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 28 Aug 2009 18:13:57 -0400

=== debian/control ===
Source: xscreensaver
Section: user/desktop
Priority: optional
Maintainer: Vlad Vasiliev <vlad@gas.by>
Build-Depends: bc, debhelper (>= 4.0), libgtk2.0-dev, libpam0g-dev (>= 0.72), libgl1-mesa-swx11-dev, freeglut3-dev, xutils-dev, libgnome2-dev, libxml2-dev, libglade2-dev, libjpeg62-dev, libgles2-sgx-img-dev | libgles2-dev, intltool, autotools-dev, libx11-dev, libxext-dev, libxinerama-dev, libxmu-dev, libxpm-dev, libxrandr-dev, libxss-dev, libxt-dev, libxtst-dev, libxxf86vm-dev, x11proto-core-dev, quilt, libxss-dev, libxtst-dev
Standards-Version: 3.8.0
Homepage: http://www.jwz.org/xscreensaver/
Vcs-git: git://git.debian.org/git/collab-maint/xscreensaver.git
Vcs-browser: http://git.debian.org/git/collab-maint/xscreensaver.git

Package: xscreensaver
Architecture: any
Depends: ${shlibs:Depends}, live-wallpaper (>= 0.8) 
Conflicts: funny-manpages (<< 1.3-1), suidmanager (<< 0.50), xscreensaver-gnome (<< 4.09-2), xscreensaver-nognome (<< 4.09-2), gnome-control-center (<< 1:2)
Recommends: xli | xloadimage, libjpeg-progs, perl5, miscfiles | wordlist
Suggests: xfishtank, xdaliclock, xscreensaver-gl, fortune, www-browser, qcam | streamer
Xsbc-Bugtracker: https://garage.maemo.org/tracker/?atid=6278&group_id=1797&func=browse
Description: Automatic screensaver for X
 XScreenSaver is a modular screen saver and locker for X11,
 containing more than 200 screen savers.
 .
 This package adapted for using with LiveWallpaper on Maemo Platform
 .
XB-Maemo-Display-Name: Xscreensavers
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oIDwYXM6m8V0wAAAqZSURBVHja
 5Zt7cFTVHcc/5+4zCeAmIeGd8JAk1GAElAGRGFGqJUgtD1HQIjIqAo7FR/GF0DrjtEUqFkWZig8K
 8rBKURBrjYKJgGTU0ggkigoxwoZANuSxm7t7957+sZuwgd2QZG8gA7+ZO3t37+/ee8739/6ds9C+
 ZAEmcpGSHZgNuADlYgTAnGo3vStAAu9clCqQBVOWCDQCIIy4KEFYoaA9EwDAf1ECcB287QN5uUAC
 eRehKzT3qwBZDLoIgDDvosNgLUgJ+osgUXAC5mbYRwPDLygA/gFHJUivIvTJPeMk8NnVv4g7nS3Z
 Kngp6DCvuKAAeEMR78mAFsgtKTb9sr6xErgfoJvVBECaWdkMFAPfncuxnZMExSNOnTtKveLlmW4J
 3ARQ7vUzwKrcNUXTJwDpwKoLDoAf/LLxvBOSag8APYE4Yi0xSzX93v+AjLMoQYu5wAAYDqaG830D
 BC99iABWA3UPun2XXq4z0p/YSVw7WIcQ3nOSrjZzLRVINuAdfgHXA7gVqMyysu1dFSEolJJM3SQ2
 9vNLJuW42bYfJ5AGdDN4nuVAaWsA6A3sAhxG6NgEHRsgt3RRxGfHAgmhlOQB4lG/jAFkgpBYzXQH
 3g9GAqMFPSuceUUCYAbQY8WKFSQlJaHreqvfKITgYGkpSY8twKL7qQfx7XidEyXdWb/+rwirNbbg
 iYfoU3wIQNQeEsR1tvPKyhfs8Y5LDJm1EAKvz8fDD95P+fHqG1vjX1anpPSR0dLG8bmyIfyt7ILc
 +Ahy3tz5Ukopf3AelQe7d2u8vjTeIu8YY5JO51FpNF17bY4E3miNE9TNZktU6K955g8M27IVgGpg
 wGRYV2Ahd/xYAFx7dtGl4lgjf7rLh6r72b+/2HBHJ6UefRSQsnmzDL26+f3NXPb0YvoHf3fazFya
 aePj4niyrxkNQM3uQjqFhMcxgN+vULhrBx0lCjSZvBCC2tpaTpw4gaZpmM1mdF1HCEHl8eO8+/pK
 Nmz4J2vztpMw/2GGBCcvgJpuGh8f0Oib0os6j4fjlZUc+byAmBDw7MCACp33/vU2s+6bh8vlwmKx
 oGkaFosFVVURQmC1WvH5fJjNZrxeLzabrWntZbeTnJzcOOY2Z6/9+/dvYkdPLJgvg2M940gFeWXw
 PA5kKUg9aNsS5OdZipx/i7nJPUtCrssg/78zbDKxsxLxPS09Ro++RnpVtXHs2dnZrfYBTcjpdPLs
 n5+PeH0TUBQ8nyCgT1DyDaQpOpV1TX3KwNM9NtDtsEpuZvQRMD+/gFdWrjQuEzx58mTEa9lADKAG
 v08Ko3WOGht2k7fJb7Ywz0r3QEZsrCG2XVJScm5S4ceADSGTHq6f6RxjSlXG9lPOkPjpfHYgZbfK
 pBwRNQAttf+oAOgKDAF2SRDWgIr3CaPaA73g/MpMekiCWxWGD2B6nYbjKCTHd6AoEIkGAd0BeyoM
 sUjKfSl4Dpc2evdQmv6Fhy+zbJRUeLksLY29zp+ZWlUb9rmPlgmc6Va2ulQy09NQrFakpiHMJqTm
 R5hMoOtUVtdQVlZ2/gDIDX6OSofdqoNnF67i8A1jyQij3g5gwX4/nyXY6J2SysSHH8B1zzziw/AO
 rNO52SeoGRTLiHG5PLlwEbqmgaIE4oUQICVezc/USTezvWDP+SmHfxv8TJQmfLXHGXPdGL4Ik0A2
 qHe6T+OPdSpf7/yIFwr24O7aNSyvAtxeVM+4DMlbbz7PgeIDOBITucThwJGQiCM+AUdCIsnJyYy/
 5dbz0w/oahL0CJ5XFNuIj4Nvvi6k05134G3mvmkeySLFygefbOMeRTsji2z43gWYsMnDrGtMPDh7
 WkTHpmna+QHglyFp7LQKD52SY1m5fDkjZz9ARbD/HSldnlPtZVZ9FdtOVrMlTEQQQd504LpShdIf
 f+SjDzZ1rI7QVOXUpJJ8khFdvLy1Zi1xmRn8kH5p4yTCmYIEflflY8ZgK3cDdRF4FSD1K53brrKx
 /OXXOhYAV+mnBmr2Q/+f/AzPtLBx9WoOzJlDfRjJhk6upw9GHjEzamggk4zE2xc/3cv9lH3/DZUn
 KjoGAJ2B2NNCycmd8PgEH8tefJ2ps+ey1iTC2nco3X2klt69YlknaJZ3RJGGaoHSsqNnrUrPGQCn
 3zimTnJwO1zZrYhdn+4gccUrOJuRrCSweyJtr5dv0+H7CLwymG57DpRyuPRwVBWeYQAoYQZrB27I
 hx5dLTx+/3Suv+02ivv0iZyqBic3/ahGXLmJzUpkPoBcn07e9k86hgmcDKk9QyU1ALhqh5ekzsd4
 auGTqNOmoDej2gJI8MEml58ZZ2k7TgY+/HBbxwCgBjh+mhY0SHS8UyM3wcGG9W9RktIbl8mEOEsn
 qR+Q2AxQEugBHNlf0qLu1DmJAi+GaYWJYJk7/dMqrk6V/G/fd2zo0nx5K5qpEEN/TwTigLKyMkP9
 QJsBWCYC8TtcWdsVmLnXxZZ3XsN5402GDLQTkATkbdvaMfIAXcKyZpzbWC+klau88bkxm0LsQTMo
 2FPYMQAAeBWojJDF2YEFwE8/VRo22EF2E7t37jDUD0QFwJEYOwVWa0TbHQc44awJUUtpaE8LBw8d
 bVXHp10B6NG9B/+9ZybuCJMUnFrlNGK4yd3qMQmoqCjvGCagaxozFy5iedZgwyYZiXxATA8YOsDK
 9yXfdQwApJQIn58Zm99nl4GqHi4POA74uwq+Lq4nJs7aMQBosMPklBSOLV6Eu520QABfxsDENZI3
 V68ia8jwRicYrS+ICoD6+npUVUURgvGLFvPC0CzDtaDhWZM88PTTi5k49fYmy15+f3QbUKNqilZU
 VLB+3VomTb4VRVEYveJv/GXM9fzerTWuCxoh/bsUSEkbyK/GTaS4+NTqcb3Hw/p1a88fAABPLVzE
 c0ufRwgR2JCAFYfQuFcSFQgN974m4E0dYg8fJjsnp0n896oqdW73+QUAoKqq6TLHfQpYBdylRyf5
 fGB2cL5ujxe3p9Jw/9I+u8R0mCVhaRhbbom9A7wsAo0QH+1LLQKgLWmnLuERAnte1ZAa4WxS9wPZ
 CsyJ0pPa7XbjAMjIyCClT682DWRvsC54CCgASgj8h8YbPE4CBwUcSoBH4syYFUG+Hr1k775jmjE+
 oCHkFBTsZNWrf8dXX4XbK4i1SlRNIILSNilgMUncXkGMVaL6BCYTaBr46qtZseZtltW5SSSwTBYT
 sBT697IzMUdlSR58WycDDwP69evLxN/8GpPwY1LA4xXYLYF3WkwSnyawWQK8qk9gMUt8fkGnGIVx
 N09hUNaQqHaJnLFDJBra+t5maRKiVbs8hBCypqbGkPdHvUOkrWkywL59+5g18078rfQjUkquHjmC
 ujq34W2wdgegQfW+2LmDYcOG4TxR3abnFH2zj+xRw3G5KhFCtAsIhgPg9XopLCxk7tw5jBiVg6qq
 UT3vq7376JWcxNLnlrR424sR1GYfkJeXF/Uur0hHlxhhuA8wn63Say2NGjWKoqKiqJetw5lVQmKi
 4ZKOBIC9xtW2tNNms5GZmUlHouZ8RyQA/nSs0jV1yBVZDL48K+qS83xSbW0t+fn5ERtWkfQ8DngO
 yGmnJs+5pp+BWwgsZbQIgIYIcQkXBqlA2Lr5/79i3MvVr2woAAAAAElFTkSuQmCC

## xscreensaver 5.11-1%2bmaemo2

=== debian/changelog ===
xscreensaver (5.11-1+maemo2) stable-proposed-updates; urgency=high

  * Fixed problem with icons 

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 13 Aug 2010 15:13:57 -0400

=== debian/rules ===
#!/usr/bin/make -f
# Debian rules file foor xscreensaver (1.26), adapted by Larry Daffner from
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

# Modified on July 2007 by Jose Luis Rivas.

# Including quilt.make
include /usr/share/quilt/quilt.make

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

build: build-stamp
build-stamp:
	dh_testdir

	cp debian/xscreensaver.svg utils/images/xscreensaver.svg

	# generate POT file for translators
	cd po; intltool-update --verbose -p; cd ..

	# these are for some reason in the upstream tarball, preserve them
	[ -f driver/XScreenSaver_ad.h.upstream ] || [ ! -f driver/XScreenSaver_ad.h ] || \
		mv driver/XScreenSaver_ad.h driver/XScreenSaver_ad.h.upstream
	[ -f driver/XScreenSaver_Xm_ad.h.upstream ] || [ ! -f driver/XScreenSaver_Xm_ad.h ] || \
		mv driver/XScreenSaver_Xm_ad.h driver/XScreenSaver_Xm_ad.h.upstream

	# configs files are outdated so we build with the updated ones
	[ ! -f config.sub.upstream ] && mv config.sub config.sub.upstream && cp /usr/share/misc/config.sub config.sub
	[ ! -f config.guess.upstream ] && mv config.guess config.guess.upstream && cp /usr/share/misc/config.guess config.guess
	# Configure for xscreensaver
	./configure --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
		--prefix=/usr \
		--without-gl --with-pam --with-gtk --without-kerberos \
		--with-hackdir=/usr/lib/xscreensaver \
		--with-configdir=/usr/share/xscreensaver/config \
		--mandir=/usr/share/man --with-login-manager \
		--with-proc-interrupts
	cp driver/XScreenSaver.ad driver/XScreenSaver.ad-nogl
	$(MAKE) 
	touch build-stamp

clean: 	clean-patched unpatch

clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.log config.h
	rm -rf driver/XScreenSaver.ad-nogl
	rm -rf *~ debian/tmp debian/xscreensaver debian/xscreensaver-gl \
		debian/xscreensaver-gl-extra debian/xscreensaver-data \
		debian/xscreensaver-data-extra
	rm -rf debian/*~ debian/files*
	rm -f po/.intltool-merge-cache
	[ ! -f config.sub.upstream ] || mv config.sub.upstream config.sub
	[ ! -f config.guess.upstream ] || mv config.guess.upstream config.guess
	[ ! -f driver/XScreenSaver_ad.h.upstream ] || mv driver/XScreenSaver_ad.h.upstream driver/XScreenSaver_ad.h
	[ ! -f driver/XScreenSaver_Xm_ad.h.upstream ] || mv driver/XScreenSaver_Xm_ad.h.upstream driver/XScreenSaver_Xm_ad.h
	rm -f utils/images/xscreensaver.svg
	dh_clean

binary-indep:	build
# Nothing to do here

binary-arch:	build
	dh_testdir
	dh_testroot
	dh_clean -k
	rm -rf debian/tmp debian/xscreensaver \
		debian/xscreensaver-gnome debian/xscreensaver-nognome \
		debian/xscreensaver-data debian/xscreensaver-data-extra 
	$(MAKE) install_prefix=$(CURDIR)/debian/tmp \
		GTK_DATADIR=/usr/share KDEDIR=/usr install
	# Adding `NoDisplay=True' in gnome-screensaver-properties.desktop
	echo "NoDisplay=true" >> debian/tmp/usr/share/applications/gnome-screensaver-properties.desktop
	dh_installdirs -a
	dh_installdocs -a
	dh_installchangelogs -a
	# install .desktop files used by gnome-screensaver
	mkdir -p $(CURDIR)/debian/tmp/usr/share/applications/screensavers
	cp $(CURDIR)/debian/screensavers-desktop-files/*.desktop \
		$(CURDIR)/debian/tmp/usr/share/applications/screensavers/
	#
	# Adding a `x` at the end of all manpages:
	#for i in $$( ls debian/tmp/usr/share/man/man6/ ); do mv debian/tmp/usr/share/man/man6/$$i debian/tmp/usr/share/man/man6/$$( echo $$i )x; done 
	for i in debian/tmp/usr/share/man/man6/*; do mv $${i} $${i}x; done
	mkdir -p debian/tmp/usr/share/livewp/external_themes 
	mkdir -p $(CURDIR)/debian/tmp/usr/share/livewp/external_icons
	cp $(CURDIR)/debian/*.png $(CURDIR)/debian/tmp/usr/share/livewp/external_icons/
	ls 
	
	for i in `cd debian/tmp/usr/share/xscreensaver/config ; find . -name "*.xml" -type f -print`; do echo $${i} ; cat debian/tmp/usr/share/xscreensaver/config/$${i} | grep "<screensaver"| \
		sed 's/<screensaver name="\(.*\)" _label="\(.*\)">/<theme>\n\<name>\2<\/name>\n <exec_path>\/usr\/lib\/xscreensaver\/\1<\/exec_path>\n <window_id>-window-id<\/window_id>\n <view>-view<\/view>\n <category>Xscreensaver<\/category>\n <icon_on>\/usr\/share\/livewp\/external_icons\/xscreensaver.png<\/icon_on>\n <icon_off>\/usr\/share\/livewp\/external_icons\/xscreensaverd.png<\/icon_off>\n <\/theme>/g' \
		> debian/tmp/usr/share/livewp/external_themes/$${i}; done
	dh_movefiles -a
	dh_install -a
	# make sure we got everything that was installed
	# test `find debian/tmp -type f -print | wc -l` -eq 0
	find debian/tmp -type f -print
	dh_installpam -a
	dh_installmenu -a
	# install app-defaults to proper places
	#install -m 644 -o root -g root driver/XScreenSaver.ad-nogl \
	#	debian/xscreensaver-data/etc/X11/app-defaults/XScreenSaver-nogl
	# Hopefully prevent nVidia brain damage
	# This is supposed to prevent accidentially linking against the
	# binary nvidia drivers. Deinstall or divert them before building!
	#test ! `eval ldd debian/xscreensaver-gl/usr/lib/xscreensaver/* |grep -q libGLcore && echo $$?`
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	maemo-optify
	dh_md5sums -a
	dh_builddeb -a

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## xscreensaver 5.11-1%2bmaemo3

=== debian/changelog ===
xscreensaver (5.11-1+maemo3) stable-proposed-updates; urgency=low

  * Removed denepd on libpmag0

 -- Vlad Vasiliev <vlad@gas.by>  Tue, 17 Aug 2010 10:13:57 +0200

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	# Configure for xscreensaver
 	./configure --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
 		--prefix=/usr \
-		--without-gl --with-pam --with-gtk --without-kerberos \
+		--without-gl --with-gtk --without-kerberos \
 		--with-hackdir=/usr/lib/xscreensaver \
 		--with-configdir=/usr/share/xscreensaver/config \
 		--mandir=/usr/share/man --with-login-manager \

## xscreensaver 5.11-1%2bmaemo4

=== debian/changelog ===
xscreensaver (5.11-1+maemo4) stable-proposed-updates; urgency=low

  * Removed themes: apple2, blitspin, cosmos, electricsheep, extrusion,
    fireflies, fontglide, goban, noseguy, phosphor, sphereeversion,
    vidwhacker, webcollage, xanalogtv, xaos, xdaliclock, xjack, xsnow 
  * Fixed problems in themes: decayscreen, distort, ripples, rotzoomer,
    slidescreen, slip, spotlight, twang, zoom 

 -- Vlad Vasiliev <vlad@gas.by>  Tue, 19 Aug 2010 21:13:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/desktop
 Priority: optional
 Maintainer: Vlad Vasiliev <vlad@gas.by>
-Build-Depends: bc, debhelper (>= 4.0), libgtk2.0-dev, libpam0g-dev (>= 0.72), libgl1-mesa-swx11-dev, freeglut3-dev, xutils-dev, libgnome2-dev, libxml2-dev, libglade2-dev, libjpeg62-dev, libgles2-sgx-img-dev | libgles2-dev, intltool, autotools-dev, libx11-dev, libxext-dev, libxinerama-dev, libxmu-dev, libxpm-dev, libxrandr-dev, libxss-dev, libxt-dev, libxtst-dev, libxxf86vm-dev, x11proto-core-dev, quilt, libxss-dev, libxtst-dev
+Build-Depends: bc, debhelper (>= 4.0), libgtk2.0-dev, libgl1-mesa-swx11-dev, freeglut3-dev, xutils-dev, libgnome2-dev, libxml2-dev, libglade2-dev, libjpeg62-dev, libgles2-sgx-img-dev | libgles2-dev, intltool, autotools-dev, libx11-dev, libxext-dev, libxinerama-dev, libxmu-dev, libxpm-dev, libxrandr-dev, libxss-dev, libxt-dev, libxtst-dev, libxxf86vm-dev, x11proto-core-dev, quilt, libxss-dev, libxtst-dev
 Standards-Version: 3.8.0
 Homepage: http://www.jwz.org/xscreensaver/
 Vcs-git: git://git.debian.org/git/collab-maint/xscreensaver.git

## xscreensaver 5.11-1%2bmaemo5

=== debian/changelog ===
xscreensaver (5.11-1+maemo5) stable-proposed-updates; urgency=low

  * Fixed problems with theme: phosphor
  * Changed Icons. Thanks Wazd

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 20 Aug 2010 19:13:57 +0200

=== debian/rules ===
--- 
+++ 
@@ -91,9 +91,9 @@
 	dh_installdocs -a
 	dh_installchangelogs -a
 	# install .desktop files used by gnome-screensaver
-	mkdir -p $(CURDIR)/debian/tmp/usr/share/applications/screensavers
-	cp $(CURDIR)/debian/screensavers-desktop-files/*.desktop \
-		$(CURDIR)/debian/tmp/usr/share/applications/screensavers/
+	#mkdir -p $(CURDIR)/debian/tmp/usr/share/applications/screensavers
+	#cp $(CURDIR)/debian/screensavers-desktop-files/*.desktop \
+	#	$(CURDIR)/debian/tmp/usr/share/applications/screensavers/
 	#
 	# Adding a `x` at the end of all manpages:
 	#for i in $$( ls debian/tmp/usr/share/man/man6/ ); do mv debian/tmp/usr/share/man/man6/$$i debian/tmp/usr/share/man/man6/$$( echo $$i )x; done 
@@ -105,7 +105,7 @@
 	
 	for i in `cd debian/tmp/usr/share/xscreensaver/config ; find . -name "*.xml" -type f -print`; do echo $${i} ; cat debian/tmp/usr/share/xscreensaver/config/$${i} | grep "<screensaver"| \
 		sed 's/<screensaver name="\(.*\)" _label="\(.*\)">/<theme>\n\<name>\2<\/name>\n <exec_path>\/usr\/lib\/xscreensaver\/\1<\/exec_path>\n <window_id>-window-id<\/window_id>\n <view>-view<\/view>\n <category>Xscreensaver<\/category>\n <icon_on>\/usr\/share\/livewp\/external_icons\/xscreensaver.png<\/icon_on>\n <icon_off>\/usr\/share\/livewp\/external_icons\/xscreensaverd.png<\/icon_off>\n <\/theme>/g' \
-		> debian/tmp/usr/share/livewp/external_themes/$${i}; done
+		 > debian/tmp/usr/share/livewp/external_themes/$${i}; done
 	dh_movefiles -a
 	dh_install -a
 	# make sure we got everything that was installed
@@ -128,6 +128,12 @@
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	maemo-optify
+	#hack after optify
+	rm -f debian/xscreensaver/usr/share/xscreensaver
+	mkdir -p debian/xscreensaver/usr/share/xscreensaver/
+#	cd debian/xscreensaver/usr/share/xscreensaver &&  ln -s ../../../opt/maemo/usr/share/xscreensaver/config config
+	mv debian/xscreensaver/opt/maemo/usr/share/xscreensaver/config	debian/xscreensaver/usr/share/xscreensaver
+	cat debian/xscreensaver/DEBIAN/postinst |sed s/'optify "usr\/share\/xscreensaver"'/'optify "usr\/share\/xscreensaver\/config"'/g > /tmp/xscpostinst && mv /tmp/xscpostinst debian/xscreensaver/DEBIAN/postinst && chmod 775 debian/xscreensaver/DEBIAN/postinst
 	dh_md5sums -a
 	dh_builddeb -a

## xscreensaver 5.11-1%2bmaemo6

=== debian/changelog ===
xscreensaver (5.11-1+maemo6) stable-proposed-updates; urgency=low

  * Fixed problem with optified 

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 20 Aug 2010 22:13:57 +0200

## xscreensaver 5.11-1%2bmaemo7

=== debian/changelog ===
xscreensaver (5.11-1+maemo7) stable-proposed-updates; urgency=low

  *  Changed Description in package 

 -- Vlad Vasiliev <vlad@gas.by>  Sat, 21 Aug 2010 23:14:57 +0200

=== debian/rules ===
--- 
+++ 
@@ -131,9 +131,8 @@
 	#hack after optify
 	rm -f debian/xscreensaver/usr/share/xscreensaver
 	mkdir -p debian/xscreensaver/usr/share/xscreensaver/
-#	cd debian/xscreensaver/usr/share/xscreensaver &&  ln -s ../../../opt/maemo/usr/share/xscreensaver/config config
 	mv debian/xscreensaver/opt/maemo/usr/share/xscreensaver/config	debian/xscreensaver/usr/share/xscreensaver
-	cat debian/xscreensaver/DEBIAN/postinst |sed s/'optify "usr\/share\/xscreensaver"'/'optify "usr\/share\/xscreensaver\/config"'/g > /tmp/xscpostinst && mv /tmp/xscpostinst debian/xscreensaver/DEBIAN/postinst && chmod 775 debian/xscreensaver/DEBIAN/postinst
+	cat debian/xscreensaver/DEBIAN/postinst |sed s/'optify "usr\/share\/xscreensaver"'//g > /tmp/xscpostinst && mv /tmp/xscpostinst debian/xscreensaver/DEBIAN/postinst && chmod 775 debian/xscreensaver/DEBIAN/postinst
 	dh_md5sums -a
 	dh_builddeb -a

## xscreensaver 5.11-1%2bmaemor8

=== debian/changelog ===
xscreensaver (5.11-1+maemor8) stable-proposed-updates; urgency=low

  * Full optification 

 -- Vlad Vasiliev <vlad@gas.by>  Wed, 25 Aug 2010 18:14:57 +0200

=== debian/control ===
--- 
+++ 
@@ -15,13 +15,8 @@
 Recommends: xli | xloadimage, libjpeg-progs, perl5, miscfiles | wordlist
 Suggests: xfishtank, xdaliclock, xscreensaver-gl, fortune, www-browser, qcam | streamer
 Xsbc-Bugtracker: https://garage.maemo.org/tracker/?atid=6278&group_id=1797&func=browse
-Description: Automatic screensaver for X
- XScreenSaver is a modular screen saver and locker for X11,
- containing more than 200 screen savers.
- .
- This package adapted for using with LiveWallpaper on Maemo Platform
- .
-XB-Maemo-Display-Name: Xscreensavers
+Description: Screensavers for X adapted for using with LiveWallpaper on Maemo Platform
+XB-Maemo-Display-Name: Xscreensavers for Livewallpaper
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
  /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oIDwYXM6m8V0wAAAqZSURBVHja

## xscreensaver 5.11-1%2bmaemor9

=== debian/changelog ===
xscreensaver (5.11-1+maemor9) stable-proposed-updates; urgency=low

  * Increased number supported of views to 9

 -- Vlad Vasiliev <vlad@gas.by>  Sat, 02 Oct 2010 08:43:57 +0200

=== debian/rules ===
--- 
+++ 
@@ -130,8 +130,13 @@
 	maemo-optify
 	#hack after optify
 	rm -f debian/xscreensaver/usr/share/xscreensaver
-	mkdir -p debian/xscreensaver/usr/share/xscreensaver/
-	mv debian/xscreensaver/opt/maemo/usr/share/xscreensaver/config	debian/xscreensaver/usr/share/xscreensaver
+	mkdir -p debian/xscreensaver/usr/share/xscreensaver/config
+	cd debian/xscreensaver/opt/maemo/usr/share/xscreensaver/config/ && find . -type f -exec ln -s /opt/maemo/usr/share/xscreensaver/config/'{}' ../../../../../../usr/share/xscreensaver/config/'{}' \; 
+	mv debian/xscreensaver/usr/share/livewp/external_themes	debian/xscreensaver/opt/maemo/usr/share/livewp/	
+	mkdir debian/xscreensaver/usr/share/livewp/external_themes 
+	cd debian/xscreensaver/opt/maemo/usr/share/livewp/external_themes/ && find . -type f -exec ln -s /opt/maemo/usr/share/livewp/external_themes/'{}' ../../../../../../usr/share/livewp/external_themes/'{}' \; 
+
+	
 	cat debian/xscreensaver/DEBIAN/postinst |sed s/'optify "usr\/share\/xscreensaver"'//g > /tmp/xscpostinst && mv /tmp/xscpostinst debian/xscreensaver/DEBIAN/postinst && chmod 775 debian/xscreensaver/DEBIAN/postinst
 	dh_md5sums -a
 	dh_builddeb -a
